# Class BasicStroke

java.lang.Object
com.codename1.charts.renderers.BasicStroke

public class BasicStroke extends java.lang.Object
A descriptor for the stroke style.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final BasicStroke`
  `DASHED`
  The dashed line style.
  `static final BasicStroke`
  `DOTTED`
  The dot line style.
  `static final BasicStroke`
  `SOLID`
  The solid line style.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicStroke(int cap, int join, float miter, float[] intervals, float phase)`
  Build a new basic stroke style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCap()`
  Returns the stroke cap.
  `float[]`
  `getIntervals()`
  Returns the path effect intervals.
  `int`
  `getJoin()`
  Returns the stroke join.
  `float`
  `getMiter()`
  Returns the stroke miter.
  `float`
  `getPhase()`
  Returns the path effect phase.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SOLID

    public static final BasicStroke SOLID
    The solid line style.

  - ### DASHED

    public static final BasicStroke DASHED
    The dashed line style.

  - ### DOTTED

    public static final BasicStroke DOTTED
    The dot line style.

- ## Constructor Details

  - ### BasicStroke

    public BasicStroke(int cap, int join, float miter, float[] intervals, float phase)

    Build a new basic stroke style.

    ###### Parameters

    - `cap`: the stroke cap

    - `join`: the stroke join

    - `miter`: the stroke miter

    - `intervals`: the path effect intervals

    - `phase`: the path effect phase

- ## Method Details

  - ### getCap

    public int getCap()

    Returns the stroke cap.

    ###### Returns

    the stroke cap

  - ### getJoin

    public int getJoin()

    Returns the stroke join.

    ###### Returns

    the stroke join

  - ### getMiter

    public float getMiter()

    Returns the stroke miter.

    ###### Returns

    the stroke miter

  - ### getIntervals

    public float[] getIntervals()

    Returns the path effect intervals.

    ###### Returns

    the path effect intervals

  - ### getPhase

    public float getPhase()

    Returns the path effect phase.

    ###### Returns

    the path effect phase